# Created by pyp2rpm-3.3.2
%global pypi_name colour

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        %mkrel 3
Summary:        Converts and manipulates various color representation
Group:          Development/Python
License:        BSD 3-Clause License
URL:            http://github.com/vaab/colour
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(d2to1)
BuildRequires:  python3dist(setuptools)

%description
Python color representations manipulation library (RGB, HSL, web, ...)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(nose)
Conflicts:	python3-py-colour

%description -n python3-%{pypi_name}
Python color representations manipulation library (RGB, HSL, web, ...)

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.5-3.mga8
+ Revision: 1534934
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.1.5-2.mga8
+ Revision: 1450211
- rebuild with python 3.8

* Sun Jul 07 2019 wally <wally> 0.1.5-1.mga8
+ Revision: 1419355
- imported package python-colour

